Arch Techo

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Roof and the translation is 40% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch Grid.svg Grid
Next: Space Arch Space.svg Arrow-right.svg

Arch Roof.svg Arch Techo

Ubicación en el Menú
Arquitectura → Techo
Entornos de trabajo
Arquitectura
Atajo de teclado por defecto
R F
Introducido en versión
-
Ver también
None


Descripción

La herramienta Techo le permite crear un techo inclinado a partir de un wire seleccionado. El objeto del techo creado es paramétrico, manteniendo su relación con el objeto base. Tenga en cuenta que esta herramienta todavía está en desarrollo y puede fallar con formas muy complejas. El principio es que cada borde se ve asignando un perfil de techo (pendiente, ancho, saliente, espesor...).

This tool is still in development, and might fail with very complex shapes.

RoofExample.png

RoofExample.png

Utilización

  1. Crea un wire siguiendo la dirección en sentido contrario a las agujas del reloj y selecciónalo.
  2. * CounterclockwiseWire.png
  3. Presiona el botón Arch Roof.png Arch Roof, o presiona R luego las teclas F
  4. El objeto de techo predeterminado podría tener una forma extraña, es porque la herramienta no tiene toda la información necesaria.
  5. Después de crear el techo predeterminado, haga doble clic en el objeto en la vista de árbol para acceder y editar todas las propiedades. El ángulo debe estar entre 0 y 90.
  6. * RoofTable.png
  7. Cada línea corresponde a un panel de techo. Entonces puede establecer las propiedades que desea para cada panel de techo.
  8. Para ayudarlo, puede establecer Ángulo o Run en 0 y definir un Id relativo, esto hace cálculos automáticos para encontrar los datos relativos al Id relativo.
  9. Funciona así:
    1. Si Angle = 0 y Run = 0, el perfil es idéntico al perfil relativo.
    2. Si Angle = 0, el ángulo se calcula de modo que la altura sea la misma que el perfil relativo.
    3. Si Run = 0, Run se calcula para que la altura sea la misma que el perfil relativo.
  10. Al final, establece un ángulo de 90 ° para hacer un frontón.
  11. * RoofProfil.png
  12. También puedes consultar este video: https://www.youtube.com/watch?v=4Urwru71dVk

Opciones

  • Los techos comparten las propiedades y comportamientos comunes de todos los Arch Components

Propiedades

  • DATOSAngles: Lista del ángulo de inclinación del panel de techo (un ángulo para cada borde en el wire).
  • DATOSRuns: Lista del ancho del panel del techo (una ejecución para cada borde en el wire).
  • DATOSIdRel: Lista de la relación Id El ángulo de inclinación del techo
  • DATOSThickness: Lista de espesores del panel de techo. (un espesor para cada borde en el wire).
  • DATOSOverhang: Lista del saliente del panel del techo (un saliente para cada borde en el wire).
  • DATOSFace: El índice de la cara del objeto base que se utilizará #No realmente utilizado

Programación

La herramientas techo se puede utilizar en macros y desde la consola de Python utilizando las siguientes funciones:

Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
Hace un techo basado en un wire cerrado. Puede proporcionar una lista de ángulos, ejecutar, idrel, espesor, voladizo para cada borde en el wire para definir la forma del techo. El valor predeterminado para el ángulo es 45 y la lista se completa automáticamente para que coincida con el número de bordes en el wire.

Ejemplo:

import FreeCAD, Arch, Draft

Rect = Draft.makeRectangle(3000, 4000)
Roof = Arch.makeRoof(Rect, angles=[30.,])
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(0, 2000, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
Roof2 = Arch.makeRoof(Wire)
FreeCAD.ActiveDocument.recompute()